Edit an Organization
Edit an organization.
Request URL
POST {base_url}/{api_path}/organization/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the organization.Note:You can query the organization's ID using Search Specific Organizations. |
| name | No | String | Organization name. |
| parent_id | No | Integer | Parent organization ID.Note:You can query the organization's ID using Search Specific Organizations. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Change the organization name UA group to Training Team (ID: 40).
POST /openapi/v1.0/organization/update?access_token=hlVf2mmJD9A94tLv6PYVmEU3bO8wUgZx
Host: 192.168.5.150:8088
Content-Type: application/json
Content-Length: 47
{
"id": 40,
"name":"Training Team"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}